#! /bin/sh
# c't/ODS-Schulserver
# (c) Helmut Hullen (helmut@hullen.de)
# Nutzung gem der GNU Public License  
# $Id: doinst.sh,v 1.6 2004/07/09 12:41:08 HHullen Exp $
# $Log: doinst.sh,v $
# Revision 1.6  2004/07/09 12:41:08  HHullen
# allow 127 geaendert
#
# Revision 1.5  2004/07/08 17:18:00  HHullen
# Anpassung an neuen Apache
#
# Revision 1.4  2004/04/08 19:55:14  root
# Fehler in "srm.conf" korrigiert
#
# Revision 1.3  2004/04/08 15:30:14  root
# *** empty log message ***
#
# Revision 1.2  2004/04/07 19:57:54  root
# Pfad fr "access.conf" korrigiert
# Auswertung von "runlevel" korrigiert
#
# Revision 1.1  2004/04/07 10:08:14  root
# Erst-Eintrag
#
# Nutzer-Oberflche fr Arktur von Tobias Siebenlist einbinden
# Stand 31.3.04
# Eintrag in "access.conf" eingebaut 5.4.04 Hullen

set -- $(grep admin2 etc/cronjobs/permissions)
Eigner=$2
# Rechte=$3
Rechte=750
Verz=usr/www/user

chown -R $Eigner $Verz
chmod -R $Rechte $Verz

echo "/$Verz		$Eigner	$Rechte" >> etc/cronjobs/permissions

Datei=etc/httpd/srm.conf
test -f etc/apache/Arktur.conf && Datei=etc/apache/Arktur.conf

if ! grep -q $Verz $Datei
then

ed -s $Datei <<EOF
/ScriptAlias \/pub\/
a

Alias /nutzer		/$Verz
# Nutzer-Oberflche von Tobias Siebenlist und Arktur-Team

.
w
q
EOF
 
fi

# access.conf ergnzen

Datei=etc/httpd/access.conf
test -f etc/apache/Arktur.conf && Datei=etc/apache/Arktur.conf

if ! grep -q $Verz $Datei 
  then

cat <<EOF >> $Datei

<Directory /$Verz>
Options ExecCGI IncludesNOEXEC
order deny,allow
  deny from all
  allow from 127. 192.168. 10. 172.168.0.0/255.240.0.0
</Directory>
# Nutzer-Oberflche von Tobias Siebenlist und Arktur-Team

EOF

fi

#

# Apache neu starten
test -x etc/init.d/apache && Apache=etc/init.d/apache
test -x sbin/init.d/apache && Apache=etc/init.d/apache
$Apache stop
killall httpd 2>/dev/null
sleep 2

set -- $(runlevel)
test $(($2 + 0)) -ge 2 && $Apache start

# Startseite bearbeiten

Datei=home/www/index.htm
if test -f $Datei
then
	if ! grep "Tobias Siebenlist" $Datei
	  then
	ed $Datei <<EOF
H
/Interface/
s+/BIG>+& (klassisch)+
a
<big><a href="/nutzer/">Benutzer-Menu</a></big>
<font size="-1">Tobias Siebenlist und Arktur-Team</font>
<br>
.
w
q
EOF
	fi

fi  
#
